import './globals.css'

const getESIComponents = async (): Promise<{ header: string, footer: string }> => {
    let header = '';
    let footer = '';

    const seoURL = 'http://seo.preferred.h1.qa.rightmove.com';
    const headerURL = new URL('/global/consumer-nav', seoURL).toString();
    const footerURL = new URL('/global/consumer-footer', seoURL).toString();

    try {
        const headerRes = await fetch(headerURL, {
            headers: {
                'content-type': 'text/html'
            },
        });
        const footerRes = await fetch(footerURL, {
            headers: {
                'content-type': 'text/html'
            },
        })

        header = await headerRes.text();
        footer = await footerRes.text();

    } catch (e) {
        console.log(e);
    } finally {
        return {
            header,
            footer,
        }
    }
}

export default async function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
    const esiComponents = await getESIComponents();
    return (
        <html lang="en">
            <head>
                <title>Create Next App</title>
                <meta name="description" content="Generated by create next app" />
                <link rel="icon" href="/favicon.ico" />
            </head>
            <body>
                <div dangerouslySetInnerHTML={{ __html: esiComponents.header }} />
                <main>
                    {children}
                </main>
                <div dangerouslySetInnerHTML={{ __html: esiComponents.footer }} />
            </body>
        </html>
    );
}
